Package org.eclipse.microprofile.config.tck

# Class ConfigProviderTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.config.tck.ConfigProviderTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class ConfigProviderTest extends org.jboss.arquillian.testng.Arquillian

Author:
  Mark Struberg

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ConfigProviderTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`static void`
`setupCheck()`
`void`
`testDynamicValueInPropertyConfigSource()`
`void`
`testEnvironmentConfigSource()`
`void`
`testGetConfigSources()`
`void`
`testGetPropertyNames()`
`void`
`testInjectedConfigSerializable()`
`void`
`testJavaConfigPropertyFilesConfigSource()`
`void`
`testNonExistingConfigKey()`
`void`
`testNonExistingConfigKeyGet()`
`void`
`testPropertyConfigSource()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigProviderTest

public ConfigProviderTest()

## Method Details

### deploy

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### setupCheck

@BeforeClass public static void setupCheck()

### testEnvironmentConfigSource

public void testEnvironmentConfigSource()

### testPropertyConfigSource

public void testPropertyConfigSource()

### testDynamicValueInPropertyConfigSource

public void testDynamicValueInPropertyConfigSource()

### testJavaConfigPropertyFilesConfigSource

public void testJavaConfigPropertyFilesConfigSource()

### testNonExistingConfigKey

public void testNonExistingConfigKey()

### testNonExistingConfigKeyGet

public void testNonExistingConfigKeyGet()

### testGetConfigSources

public void testGetConfigSources()

### testInjectedConfigSerializable

public void testInjectedConfigSerializable()

### testGetPropertyNames

public void testGetPropertyNames()